org.apache.cassandra.utils.concurrent

## Interface SelfRefCounted<T extends SelfRefCounted<T>>

All Superinterfaces:
  RefCounted<T>

All Known Implementing Classes:
  BigTableReader, SSTableReader

    public interface SelfRefCounted<T extends SelfRefCounted<T>>
    extends RefCounted<T>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.utils.concurrent.RefCounted

`RefCounted.Tidy`

### Method Summary

All Methods Instance Methods Abstract Methods
`Ref<T>` `selfRef()`

### Methods inherited from interface org.apache.cassandra.utils.concurrent.RefCounted

`ref, tryRef`

### Method Detail

#### selfRef

    Ref<T> selfRef()